package jp.co.sds_corp.fxchart.graph;

import java.awt.Font;
import java.io.OutputStream;

import jp.co.sds_corp.nanchart.graph.XScale;
import jp.co.sds_corp.util.common.CmnDate;

/**
* 日足チャートを作成します。
*/
public class RateGraphDay extends RateGraphHour
{
	protected void makeGraph( OutputStream out ) throws Exception {
		CmnDate to = getTo();
		if ( to == null ) {
			to = new CmnDate();
			setTo( to );
		}
		CmnDate fr = getFrom();
		if ( fr == null ) {
			fr = (CmnDate )to.clone();
			fr.add( CmnDate.DATE, -100 );
			setFrom( fr );
		}
		super.makeGraph( out );
	}

	protected CmnDate getMaDate( CmnDate dt ) {
		CmnDate ret = (CmnDate )dt.clone();
		ret.add( CmnDate.DATE, 0 - Integer.valueOf( ma ).intValue() );
		return ret;
	}

	protected void setXScale( XScale xs, String span, CmnDate fr, CmnDate to ) {
		Font font = new Font( "Dialog", Font.PLAIN, 8 );
		CmnDate tmp = (CmnDate )fr.clone();
		for ( ;; ) {
			tmp.add( CmnDate.DATE, 1 );
			if ( tmp.after( to ) ) {
				break;
			}
			if ( span.equals( "DAY" )) {
				int nDay = tmp.get( CmnDate.DATE );
				if ( nDay == 1 ) {
					xs.add( tmp.clone(), tmp.format( "MM/dd" ));
				} else
				if ((( nDay % 10 ) == 0 ) && ( nDay < 30 )) {
					xs.add( tmp.clone(), tmp.format( "dd" ));
				}
			}
		}
		xs.setLineStroke( getLineStroke() );
		xs.setLineColor( getLineColor() );
		xs.setScaleLine( true );
		xs.setFont( font );
	}

	protected void setXScale2( XScale xs, String span, CmnDate fr, CmnDate to ) {
	}

}
